1.安装 vue

vue-cli 的使用需要有 node.js(8.11.0以上) 环境 node.js 安装地址: https://nodejs.org/en/

然后进行 vue-cli 的安装 cmd 下输入:

 npm install -g @vue/cli

安装成功,输入下面的指令,查看安装的 vue 版本

vue --version
使用web面板进行项目创建和配置
  1. 在要创建项目的目录下,进入 cmd 命令行模式
  vue ui

打开游览器http://localhost:8000/

点击创建—>在此创建新项目–>填写项目名 –>点击下一步–>手动配置项目–>下一步–>勾选 Bable Router Linter/Fomater(编译总报错,可以不装) 使用配置文件 —>下一步—>第一项关闭 第二项选择 ESlint+Standard config (不安装Linter/Fomater没有) 第三项选择Lint on save (不安装Linter/Fomater没有) –>创建项目–>自行选择是否保存为新预设–>等待完成

2.引入 element

插件–>添加插件–>查找 vue/cli-plugin-element 点击自动安装 –>配置插件 将Fully import改为import on demand(按需安装) –>点击完全安装.

3.引入axios

点击依赖—>安装依赖–>输入并查找axios–>选中–> 安装axios 等待成功.